<?php
/**
 * Wordpress SMTP
 *
 * @package   drx-wp-mail-smtp
 * @author    Orcapia
 * @license   GPL
 * @link      https://www.orcapia.com/plugins/plugin-drx-wp-mail-smtp/
 * @compiler      
 * @copyright 2016-2023 orcapia.com
 *
 * @wordpress-plugin
 * Plugin Name:       Wordpress SMTP
 * Plugin URI:        https://www.orcapia.com/plugins/plugin-drx-wp-mail-smtp/
 * Description:       This tiny plugin will send mails via wp_mail using SMTP. Works with M365 and Gmail. Supports Wordpress multisite. Sub sites inherit settings from main site (and cannot bypass), if enabled on the main site. 
 * Version:           1.1.70
 * Author:            Orcapia
 * Author URI:        
 * Text Domain:       drx-wp-mail-smtp
 * License:           GPL
 * License URI:       
 * Domain Path:       /languages
 */
defined('ABSPATH') or die("No direct access");if ( ! defined( 'DRX_WP_MAIL_SMTP_FILE' ) ) { define( 'DRX_WP_MAIL_SMTP_FILE', __FILE__ ); } include_once dirname( __FILE__ ) . '/includes/drx-wp-mail-smtp-init.php'; function drx_wp_mail_smtp_on_activation() { if ( ! current_user_can( 'activate_plugins' ) ) return; $plugin = isset( $_REQUEST['plugin'] ) ? $_REQUEST['plugin'] : ''; check_admin_referer( "activate-plugin_{$plugin}" ); if (function_exists('drx_wp_mail_smtp_activate')) drx_wp_mail_smtp_activate(); } function drx_wp_mail_smtp_on_deactivation() { if ( ! current_user_can( 'activate_plugins' ) ) return; $plugin = isset( $_REQUEST['plugin'] ) ? $_REQUEST['plugin'] : ''; check_admin_referer( "deactivate-plugin_{$plugin}" ); if (function_exists('drx_wp_mail_smtp_deactivate')) drx_wp_mail_smtp_deactivate(); } function drx_wp_mail_smtp_on_uninstall() { if ( ! current_user_can( 'activate_plugins' ) ) return; check_admin_referer( 'bulk-plugins' ); if ( __FILE__ != WP_UNINSTALL_PLUGIN ) return; if (function_exists('drx_wp_mail_smtp_uninstall')) drx_wp_mail_smtp_uninstall(); } register_activation_hook( __FILE__, 'drx_wp_mail_smtp_on_activation' ); register_deactivation_hook( __FILE__, 'drx_wp_mail_smtp_on_deactivation' ); register_uninstall_hook( __FILE__, 'drx_wp_mail_smtp_on_uninstall' ); function drx_wp_mail_smtp_load_textdomain() { load_plugin_textdomain( 'drx-wp-mail-smtp', false, basename( dirname( __FILE__ ) ) . '/languages' ); } add_action( 'plugins_loaded', 'drx_wp_mail_smtp_load_textdomain' );